@echo off
REM ********************************************************************************
REM ***** 
REM ***** Hosts Patcher pour Adobe Creative Cloud
REM ***** Compatible avec les versions CS3, CS4, CS5, CS6 et CC 20xx
REM ***** Permet d'empcher l'activation depuis les serveurs Adobe
REM *****
REM ***** Version 1.04 Lite
REM ***** Script par Neyder
REM *****
REM ***** Version 1.05 Lite
REM ***** Ajout de serveurs par Drunkme
REM ***** 
REM ***** Version 1.06 Lite
REM ***** Mise  jour de la liste de serveurs par Drunkme
REM ***** 
REM ***** Version 1.07 Lite
REM ***** Nettoyage du code par ThiWeb
REM ***** 
REM ***** Version 1.08 Lite
REM ***** Mise  jour de la liste de serveurs par ThiWeb
REM ***** 
REM ***** Version 1.08.1 Lite
REM ***** Correctif par Ghostfly
REM ***** 
REM ***** Version 1.09 Lite
REM ***** Mise  jour de la liste de serveurs par ThiWeb
REM ***** 
REM ***** Version 1.10 Lite
REM ***** Ajout de la vrification des droits d'admin par Ghostfly
REM ***** 
REM ***** Version 1.11 Lite
REM ***** Mise en forme & mise  jour de la liste de serveurs par ThiWeb
REM ***** 
REM ********************************************************************************

color 0B
title HOSTS Patcher 1.11 Lite pour Adobe Creative Cloud

echo Ŀ
echo                                                                              
echo                                                                              
echo                   HOSTS Patcher pour Adobe Creative Suite                    
echo                                   et Adobe Creative Cloud                    
echo                                                                              
echo                                                                              
echo 
echo              Compatible avec les versions CS3, CS4, CS5, CS6 et CC 20xx
echo.
pause
echo.

REM ------------------------------------------
REM Vrification des droits d'admin
REM ------------------------------------------
:CHECKPERMISSION
	ATTRIB %windir%\system32 -h | FINDSTR /I "system32" >nul
	IF NOT ERRORLEVEL 1 (
		ECHO.
		ECHO Ce script doit tre lanc avec les droits d'administrateur.
		ECHO.
		GOTO FIN
	)

REM ------------------------------------------
REM Dfinition des variables
REM ------------------------------------------
SET HOSTS=%systemroot%\system32\drivers\etc\hosts

REM ------------------------------------------
REM On vrifies si le fichier est dj patch
REM ------------------------------------------
echo - Vrification du fichier...
find "activate.adobe.com" %HOSTS% >NUL
if errorlevel 1 GOTO PATCH
if errorlevel 0 ECHO Le fichier HOSTS est dj patch ! & GOTO FIN

REM ------------------------------------------
REM On ajoute les serveurs au fichier HOSTS
REM ------------------------------------------
:PATCH
echo.
echo - Ajout des serveurs au fichier HOSTS

echo.>>  %HOSTS%
echo # Activation Adobe>> %HOSTS%
echo		127.0.0.1	192.150.14.69>> %HOSTS%
echo		127.0.0.1	192.150.18.101>> %HOSTS%
echo		127.0.0.1	192.150.18.108>> %HOSTS%
echo		127.0.0.1	192.150.22.40>> %HOSTS%
echo		127.0.0.1	192.150.8.100>> %HOSTS%
echo		127.0.0.1	192.150.8.118>> %HOSTS%
echo		127.0.0.1	209-34-83-73.ood.opsource.net>> %HOSTS%
echo		127.0.0.1	3dns-1.adobe.com>> %HOSTS%
echo		127.0.0.1	3dns-2.adobe.com>> %HOSTS%
echo		127.0.0.1	3dns-3.adobe.com>> %HOSTS%
echo		127.0.0.1	3dns-4.adobe.com>> %HOSTS%
echo		127.0.0.1	3dns.adobe.com>> %HOSTS%
echo		127.0.0.1	activate-sea.adobe.com>> %HOSTS%
echo		127.0.0.1	activate-sjc0.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.wip.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.wip1.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.wip2.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.wip3.adobe.com>> %HOSTS%
echo		127.0.0.1	activate.wip4.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe-dns-1.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe-dns-2.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe-dns-3.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe-dns-4.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe-dns.adobe.com>> %HOSTS%
echo		127.0.0.1	adobe.activate.com>> %HOSTS%
echo		127.0.0.1	adobeereg.com>> %HOSTS%
echo		127.0.0.1	crl.verisign.net>> %HOSTS%
echo		127.0.0.1	ereg.adobe.com>> %HOSTS%
echo		127.0.0.1	ereg.wip.adobe.com>> %HOSTS%
echo		127.0.0.1	ereg.wip1.adobe.com>> %HOSTS%
echo		127.0.0.1	ereg.wip2.adobe.com>> %HOSTS%
echo		127.0.0.1	ereg.wip3.adobe.com>> %HOSTS%
echo		127.0.0.1	ereg.wip4.adobe.com>> %HOSTS%
echo		127.0.0.1	hbrcv.adobe.com>> %HOSTS%
echo		127.0.0.1	hl2rcv.adobe.com>> %HOSTS%
echo		127.0.0.1	hlrcv.stage.adobe.com>> %HOSTS%
echo		127.0.0.1	lmlicenses.wip4.adobe.com>> %HOSTS%
echo		127.0.0.1	lm.licenses.adobe.com>> %HOSTS%
echo		127.0.0.1	na1r.services.adobe.com>> %HOSTS%
echo		127.0.0.1	ood.opsource.net>> %HOSTS%
echo		127.0.0.1	practivate.adobe>> %HOSTS%
echo		127.0.0.1	practivate.adobe.com>> %HOSTS%
echo		127.0.0.1	practivate.adobe.ipp>> %HOSTS%
echo		127.0.0.1	practivate.adobe.ntp>> %HOSTS%
echo		127.0.0.1	tss-geotrust-crl.thawte.com>> %HOSTS%
echo		127.0.0.1	wip.adobe.com>> %HOSTS%
echo		127.0.0.1	wip1.adobe.com>> %HOSTS%
echo		127.0.0.1	wip2.adobe.com>> %HOSTS%
echo		127.0.0.1	wip3.adobe.com>> %HOSTS%
echo		127.0.0.1	wwis-dubc1-vip60.adobe.com>> %HOSTS%
echo		127.0.0.1	www.adobeereg.com>> %HOSTS%
echo		127.0.0.1	www.wip.adobe.com>> %HOSTS%
echo		127.0.0.1	www.wip1.adobe.com>> %HOSTS%
echo		127.0.0.1	www.wip2.adobe.com>> %HOSTS%
echo		127.0.0.1	www.wip3.adobe.com>> %HOSTS%
echo		127.0.0.1	www.wip4.adobe.com>> %HOSTS%

echo.
echo Fichier HOSTS patch avec succs !
echo Vous pouvez maintenant procder  l'installation de Adobe CC 20xx ou CSx

REM ------------------------------------------
REM Demande confirmation pour quitter
REM ------------------------------------------
:FIN
color 0A
echo.
echo Appuyez sur une touche pour quitter & pause >NUL
exit